class AccessManagModel {
  final String accessUser;
  final String accessType;
  final String accessPeriod;
  final String accessibleDevice;
  final String authorizationSource;
  final String authorizer;
  final String authorizationTime;
  final String accessStatus;
  final String actions;

  AccessManagModel({
    required this.accessUser,
    required this.accessType,
    required this.accessPeriod,
    required this.accessibleDevice,
    required this.authorizationSource,
    required this.authorizer,
    required this.authorizationTime,
    required this.accessStatus,
    required this.actions,
  });

  factory AccessManagModel.fromJson(Map<String, dynamic> json) {
    return AccessManagModel(
      accessUser: json['accessUser'],
      accessType: json['accessType'],
      accessPeriod: json['accessPeriod'],
      accessibleDevice: json['accessibleDevice'],
      authorizationSource: json['authorizationSource'],
      authorizer: json['authorizer'],
      authorizationTime: json['authorizationTime'],
      accessStatus: json['accessStatus'],
      actions: json['actions'],
    );
  }
}
